<VirtualHost *:80>
	ServerName sam.ucm.dev
	ServerAlias samau.ucm.dev
	DocumentRoot "/www/sam.ucm.dev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/sam-error_log
	CustomLog logs/sam-access_log combined
	ScriptAlias /cgi-bin/ /www/sam.ucm.dev/cgi-bin/
	ScriptAlias /x/ /www/sam.ucm.dev/x/
	AddHandler cgi-script .cgi
	<Directory "/www/sam.ucm.dev">
		Options +Indexes
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		Require all granted
		AllowOverride All
	</Directory>
	<Directory "/home/sam">
		Options +Indexes
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		Require all granted
		AllowOverride All
	</Directory>
	<Directory "/www/sam.ucm.dev/cgi-bin">
		AllowOverride None
		Options +ExecCGI -MultiViews
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		Require all granted
	</Directory>
	<Directory "/www/sam.ucm.dev/comments">
		Options -Indexes
		Require all granted
	</Directory>
	<Directory "/www/sam.ucm.dev/x">
		AllowOverride None
		Options +ExecCGI -MultiViews
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		Require all granted
	</Directory>
	<Directory "/www/sam.ucm.dev/a">
		AllowOverride None
		Deny from all
	</Directory>
	<Directory "/www/sam.ucm.dev/logout">
		AllowOverride None
		Deny from all
	</Directory>
	<Directory "/www/sam.ucm.dev/log">
		AllowOverride None
		Deny from all
	</Directory>
	<FilesMatch "^\.">
		order allow,deny
		deny from all
	</FilesMatch>
	AddType text/plain .b .bb .bh .bbh .b1 .c .cc .h .sh .pl .py
	RewriteEngine on
	RewriteRule ^/rescue$ http://sam.ucm.dev/code/rescue/rescue.html [L]
	RewriteRule ^/peace_diary$ https://docs.google.com/document/d/1QM8lM97xJq3hnO-0DRSOWdDcgsJtqHSf8JgRi75WCBg/edit [L]
	RewriteRule ^/math$ https://sam.try.coach/ [L]
	RewriteRule ^/math/(.*)$ https://sam.try.coach/$1 [L]
</VirtualHost>
<VirtualHost *:80>
	ServerName sam.nipl.net
	DocumentRoot "/www/sam.ucm.dev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/sam-error_log
	CustomLog logs/sam-access_log combined
	RewriteEngine on
	RewriteRule ^/(.*)$ http://sam.ucm.dev/$1 [L]
</VirtualHost>
<VirtualHost *:80>
	ServerName samau.nipl.net
	DocumentRoot "/www/sam.ucm.dev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/sam-error_log
	CustomLog logs/sam-access_log combined
	RewriteEngine on
	RewriteRule ^/(.*)$ http://samau.ucm.dev/$1 [L]
</VirtualHost>
<VirtualHost *:80>
	ServerName sam.aiki.info
	DocumentRoot "/www/sam.ucm.dev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/sam-error_log
	CustomLog logs/sam-access_log combined
	RewriteEngine on
	RewriteRule ^/(.*)$ http://sam.ucm.dev/$1 [L]
</VirtualHost>
<VirtualHost *:80>
	ServerName samau.aiki.info
	DocumentRoot "/www/sam.ucm.dev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/sam-error_log
	CustomLog logs/sam-access_log combined
	RewriteEngine on
	RewriteRule ^/(.*)$ http://samau.ucm.dev/$1 [L]
</VirtualHost>
